package cn.soul2.demo.repository;

import cn.soul2.demo.dto.DemoDTO;
import cn.soul2.demo.dto.DemoSaveOrUpdateDTO;
import cn.soul2.demo.entity.DataTableDemoDO;
import cn.soul2.demo.vo.base.VPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;

/**
 * <p>
 * demo表 服务类
 * </p>
 *
 * @author Soul2
 * @since 2022-08-15 14:14:23
 */
public interface IDataTableDemoRepository extends IService<DataTableDemoDO> {

    VPage<DataTableDemoDO> page(DemoDTO dto);

    Boolean save(DemoSaveOrUpdateDTO entity);

    Boolean remove(Collection<String> ids);

}
